#ifndef __L3G4200D_H
#define __L3G4200D_H	 		  

#include <Nordic\reg24le1.h>
#include <stdint.h>
#include <stdbool.h>

//L3G4200D
#define L3G4200D_READ_REG		0x80
#define L3G4200D_MULTIREAD_REG	0XC0
#define L3G4200D_WRITE_REG		0x00
#define L3G4200D_MULTIWRITE_REG	0X40
#define L3G4200D_NOP			0xFF

//L3G4200DĴַ
#define L3G4200D_WHO_I_AM		0x0F

#define L3G4200D_CTRL_REG1		0x20
#define L3G4200D_CTRL_REG2		0x21
#define L3G4200D_CTRL_REG3		0x22
#define L3G4200D_CTRL_REG4		0x23
#define L3G4200D_CTRL_REG5		0x24

#define L3G4200D_REFERENCE		0x24
#define L3G4200D_OUT_TEMP		0x26
#define L3G4200D_STATUS_REG		0x27
#define L3G4200D_OUT_X_L			0x28
#define L3G4200D_OUT_X_H			0x29
#define L3G4200D_OUT_Y_L			0x2A
#define L3G4200D_OUT_Y_H			0x2B
#define L3G4200D_OUT_Z_L			0x2C
#define L3G4200D_OUT_Z_H			0x2D

#define L3G4200D_FIFO_CTRL_REG	0x2E 
#define L3G4200D_FIFO_SRC_REG	0x2F 

#define L3G4200D_INT1_CFG		0x30 
#define L3G4200D_INT1_SRC		0x31 
#define L3G4200D_INT1_TSH_XH		0x32 
#define L3G4200D_INT1_TSH_XL		0x33 
#define L3G4200D_INT1_TSH_YH		0x34 
#define L3G4200D_INT1_TSH_YL		0x35 
#define L3G4200D_INT1_TSH_ZH		0x36 
#define L3G4200D_INT1_TSH_ZL		0x37 
#define L3G4200D_INT1_DURATION	0x38 

//SPIƬѡź
#define Set_L3G4200D_CS  {P13 = 1;}
#define Clr_L3G4200D_CS  {P13 = 0;}


void L3G4200D_Init(void);//ʼ
void L3G4200D_Read_Output(uint8_t *pBuf);		//
uint8_t L3G4200D_Read_Reg(uint8_t reg);			//Ĵ
uint8_t L3G4200D_Write_Reg(uint8_t reg, uint8_t value);//дĴ
#endif
