#include <Nordic\reg24le1.h>
#include "hal_nrf_reg.h"
#include "hal_nrf.h"
#include "radio.h"

#include "application.h"

#include "MEMS\L3G4200D.h"
#include "MEMS\LIS3DH.h"

uint8_t xdata packet[30];     // Buffer for sending or receiving
                                        // packet.
uint8_t i, j;

void _delay_ms(int x);

void radio_irq(void) interrupt RF_READY_INT_VECT  
{
  radio_interrupt();  
}


void main(void)
{ 

	RFCKEN = 1;                                      // enable L01 clock
	RF = 1;                                          // enable RF interrupt  
	EA = 1;                                          // Global interrupt enable
	
	radio_init(1);                               // Enter PTX mode (Transmitter = 1)

	L3G4200D_Init();
	LIS3DH_Init();

	LIS3DH_Write_Reg(LIS3DH_CTRL_REG1, 0x73);
	LIS3DH_Write_Reg(LIS3DH_CTRL_REG4, 0x08);
	
	L3G4200D_Write_Reg(L3G4200D_CTRL_REG1, 0x34);
	L3G4200D_Write_Reg(L3G4200D_CTRL_REG3, 0x08);
	L3G4200D_Write_Reg(L3G4200D_CTRL_REG4, 0x10);
	L3G4200D_Write_Reg(L3G4200D_CTRL_REG1, 0x3C);

	/* Infinite loop */
	while (1)
	{
		for (j = 0; j < 30; j+=6)
		{
//			while (P06 == 0);
			while (((L3G4200D_Read_Reg(L3G4200D_STATUS_REG) >> 2) & 1) == 0);
			L3G4200D_Read_Output(packet + j + 4);
			
			for (i = 0; i < 4; i++)
			{
				packet[i + j] = LIS3DH_Read_Reg(LIS3DH_OUT_X_L + i);
			}
		}
		
		/* Send packet with radio */
		radio_send_packet(packet, 30);

		/* Wait for respons from radio, TX_DS or MAX_RT */
		while(radio_busy());

	}

}

void _delay_ms(int x)
{
	int j;

	for(; x; x--)
	{
		j = 1142;
		while(j--);
	}
}